# Build-time configuration
# 
%define with_specialstderr %{?_with_specialstderr: 1} %{?!_with_specialstderr: 0}
# use static SSL libs
%define with_staticssl %{?_with_staticssl: 1} %{?!_with_staticssl: 0}
# Enable debugging
%define with_debug %{?_with_debug: 1} %{?!_with_debug: 0}
%define make_verbose_flags %{?_with_verbose: V=1 AM_DEFAULT_VERBOSITY=1}

%define rel 173%{?dist}
%define is_fc 0%{?fedora}%{?fedora_version}
%define is_suse 0%{?suse_version}
%define is_sles 0%{?sles_version}
%define is_mdv 0%{?mdkversion}

Summary: Embedded HTTP server
Name:    ehs
Version: 1.5.1
Release: %{rel}
License: LGPL
Group: System Environment/Libraries
URL: http://sourceforge.net/projects/ehs/
Source0: %{name}-%{version}.tar.gz
%if 0%{?opensuse_bs}
Source99: %{name}.rpmlintrc
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
Buildrequires: openssl-devel, gcc-c++, boost-devel
Buildrequires: doxygen, graphviz, automake, libtool

%if %{is_fc}
Buildrequires: elfutils-devel
%endif
%if %{is_suse}%{is_sles}
%if %{suse_version} > 1999
Buildrequires: libdw-devel
%endif
%endif

%description
Embedded HTTP Server (EHS) is a C++ class which can be inherited from in order
to give HTTP server functionality to any class or application. It supports form
data via POST or GET, and uploads via multi-part form attachments.

%package devel
Summary: Embedded HTTP server
Group: Development/Libraries
Requires: ehs = %{version}-%{release}

%description devel
Embedded HTTP Server (EHS) is a C++ class which can be inherited from in order
to give HTTP server functionality to any class or application. It supports form
data via POST or GET, and uploads via multi-part form attachments.

This package contains the development headers as well as a static library.

%prep
%setup -q

%build
%if %{with_specialstderr}
export CFLAGS="$RPM_OPT_FLAGS -DSPECIAL_STDERR"
%endif
%configure \
    --enable-warn \
%if %{with_debug}
    --enable-debug \
%endif
%if %{with_staticssl}
     --enable-static --with-ssl=/opt/openssl-static
%endif

%{__make} %{?_smp_mflags} %{make_verbose_flags}

%install
%{__make} DESTDIR=%{buildroot} %{make_verbose_flags} install

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644, root, root, 0755)
%{_libdir}/*.so.*

%files devel
%defattr(644, root, root, 0755)
%doc AUTHORS COPYING INSTALL NEWS README ehs_development_guide.txt doc/html
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/ehs.pc
%{_includedir}/%{name}

%changelog
